## libfilesys-smbclient-perl 3.2

=== debian/changelog ===
libfilesys-smbclient-perl (3.2-4build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:50:37 +1100

libfilesys-smbclient-perl (3.2-4build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:50:50 +0100

libfilesys-smbclient-perl (3.2-4build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:42:12 +0100

libfilesys-smbclient-perl (3.2-4build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 11:52:15 +0100

libfilesys-smbclient-perl (3.2-4) unstable; urgency=medium

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove constraints unnecessary since stretch
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.

  [ gregor herrmann ]
  * Drop basically empty debian/upstream/metadata.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 Jul 2022 17:26:29 +0200

libfilesys-smbclient-perl (3.2-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Declare compliance with policy 4.2.0
  * Enable autopkgtest
  * Bump debhelper compat to 10
  * Add upstream/metadata
  * Set hardening flags
  * Update spelling-errors patch

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.2.1.

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 26 Aug 2018 09:56:31 +0200

libfilesys-smbclient-perl (3.2-2) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update 10_Makefile.PL.patch: use pkg-config to find libdir and
    includedir. Build depend on pkg-config. (Closes: #728646)
  * Add patch to handle a change in libsmbclient.h in samba 4.0.

  [ Damyan Ivanov ]
  * Claim conformance with Policy 3.9.5
  * Drop trailing slash from metacpan.org URLs

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Nov 2013 12:31:36 +0200

libfilesys-smbclient-perl (3.2-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Xavier Guimard ]
  * Imported Upstream version 3.2
  * Update source format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.4
  * Use debhelper 9.20120312
  * Update debian/copyright (years and format)
  * Fix upstream license to Artistic or GPL-1+
  * Update debian/rules to use "dh $@"
  * Add description in 10_Makefile.PL.patch
  * Add spelling and pod patch
  * Force the use of perl_makemaker in dh
  * override_dh_fixperms to change example files mode

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 17 Jan 2013 06:17:42 +0100

libfilesys-smbclient-perl (3.1-3) unstable; urgency=low

  * debian/rules: touch Makefile in clean target after unpatching
    Makefile.PL to prevent it from being re-built; allows building twice
    in a row.
  * debian/copyright: point to author-independent URL of the upstream
    source.
  * Refresh debian/rules, no functional changes.
  * debian/control: make build dependency on quilt versioned and add /me to
    Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Apr 2008 23:39:50 +0200

libfilesys-smbclient-perl (3.1-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/watch: use dist-vased URL, better pattern
  * debian/rules:
    + move (still disabled) test suite in build-stamp target
    + use "$@" when touching stamps
    + remove *-stamp files before realclean
    + fix install(-stamp) dependencies
    + remove commented-out dh_* calls; remove unused dh_link and dh_makeshlibs
      calls
    + when installing t/ as examples, keep the directory
  * Move changes to Makefile.PL into 10_Makefile.PL.patch
    + add quilt to build process
  * chmod 0644 smb2www.css (thanks, lintian)
  * Standards-Version: 3.7.3 (no changes)
  * debhelper compatibility level 6
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Mon, 21 Jan 2008 14:16:39 +0200

libfilesys-smbclient-perl (3.1-1) unstable; urgency=low

  * New upstream release (Closes: #329542)
  * Sorry, taking over the package due to its maintainer being MIA,
    putting it in the Debian Perl Group's loving hands

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 29 Nov 2006 19:13:55 -0600

libfilesys-smbclient-perl (1.5-2) unstable; urgency=low

  * Updated 'priority' to extra: libsmbclient, on which this package
    depends, is in the 'extra' group.
  * Updated the 'copyright' file to state upstream's copyright and also
    the copyright of the Debian packaging.

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 19 Dec 2003 11:50:50 -0600


