=== debian/control ===
Source: libfilesys-smbclient-perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsmbclient-dev,
               perl-xs-dev,
               perl:native,
               pkg-config
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libfilesys-smbclient-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libfilesys-smbclient-perl.git
Homepage: https://metacpan.org/release/Filesys-SmbClient
Rules-Requires-Root: no

Package: libfilesys-smbclient-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl interface to access Samba filesystem
 This package provides the Filesys::SmbClient module. It provides
 interface to the functions in libsmbclient.so. It has functions to
 read/write/add/modify files/directories on Samba shares.
