=== debian/watch ===
version=4
https://metacpan.org/release/Filesys-SmbClient   .+/Filesys-SmbClient-v?@ANY_VERSION@@ARCHIVE_EXT@$
